%binomial_calc
% Function for calculating binomial distribution probabilities

function P = binomial_calc

%Calculate P(X+Y=2)
P = Px(0)*Py(2) + Px(1)*Py(1) + Px(2)*Py(0);

function P = Py(y)
P = B(y,4,0.39);
function P = Px(x)
P = B(x,5,0.35);

%%


%Binomial distribution function
function P = B(x,N,p)
P = zeros(size(x));
for n=1:length(x)
    if ( x(n) <= N ) && ( x(n) >= 0 )
        P(n) = nchoosek(N,x(n))*(p^x(n)).*(1-p).^(N-x(n)) ;
    else
        P(n) = 0;
    end
end

%%

%Cumulative Binomial distrbution function
function P = cumB(x,N,p)
for n = 1:length(x)
    xx = ceil(x(n));
    PP = 0;
    for k=0:xx
        PP = PP + B(k,N,p);
    end
    P(n) = PP;
end

%End of code